<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+--------------------------------------------------------+
Przystosowanie do v7: bartek124
E-Mail: bartek124@php-fusion.pl
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";

include INFUSIONS."guestbook/infusion_db.php";

if (file_exists(INFUSIONS."guestbook/locale/".$settings['locale'].".php")) {
	include INFUSIONS."guestbook/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."guestbook/locale/English.php";
}
if(isset($_GET['guestbook_id']) && !isnum($_GET['guestbook_id'])) redirect(FUSION_SELF);

if (isset($_GET['action']) && $_GET['action'] == "delete") {
	if (iADMIN) {
		$result = dbquery("DELETE FROM ".DB_GUESTBOOK." WHERE guestbook_id='".$_GET['guestbook_id']."'");
		redirect(FUSION_SELF);
	}
} elseif (isset($_POST['guest_submit'])) {
	$error = false;
	if (isset($_GET['action']) && $_GET['action'] != "edit" && !iADMIN) {
		include_once INCLUDES."securimage/securimage.php";
		$securimage = new Securimage();
		if (!isset($_POST['captcha_code']) || $securimage->check($_POST['captcha_code']) == false){
			$error = true;
		}
	}
	if (!$error && $_POST['guest_name'] != "" && $_POST['guest_email'] != "" && $_POST['guest_message'] != "") {
		$guest_name = trim(stripinput($_POST['guest_name']));
		$guest_email = trim(stripinput($_POST['guest_email']));
		$guest_weburl = trim(stripinput($_POST['guest_weburl']));
		$guest_webtitle = trim(stripinput($_POST['guest_webtitle']));
		$guest_message = trim(stripinput($_POST['guest_message']));
		if ($guest_name != "" && $guest_message != "") {
			if (isset($_GET['action']) && $_GET['action'] == "edit" && iADMIN) {
				$result = dbquery("UPDATE ".DB_GUESTBOOK." SET guestbook_name='$guest_name', guestbook_email='$guest_email', guestbook_weburl='$guest_weburl', guestbook_webtitle='$guest_webtitle', guestbook_message='$guest_message' WHERE guestbook_id='".$_GET['guestbook_id']."'");
			} else {
				$result = dbquery("INSERT INTO ".DB_GUESTBOOK." (guestbook_name, guestbook_email, guestbook_weburl, guestbook_webtitle, guestbook_message, guestbook_datestamp, guestbook_ip) VALUES('$guest_name', '$guest_email', '$guest_weburl', '$guest_webtitle', '$guest_message', '".time()."', '".USER_IP."')");
			}
		}
		redirect(FUSION_SELF);
	} else {
		opentable($locale['gb400']);
		echo "<div align='center'><b>".$locale['gb430']."</b><br>\n<span class='small'>";
		if ($error) { echo $locale['gb431']."<br>\n"; }	echo $locale['gb432']."</span></div>\n";
		closetable();
		tablebreak();
	}
} elseif (isset($_GET['action']) && $_GET['action'] == "edit" && iADMIN) {
	$result = dbquery("SELECT * FROM ".DB_GUESTBOOK." WHERE guestbook_id='".$_GET['guestbook_id']."'");
	if (dbrows($result)) {
		$data = dbarray($result);
		$guestbook_name = $data['guestbook_name'];
		$guestbook_email = $data['guestbook_email'];
		$guestbook_weburl = $data['guestbook_weburl'];
		$guestbook_webtitle = $data['guestbook_webtitle'];
		$guestbook_message = $data['guestbook_message'];
		$formaction = FUSION_SELF."?action=edit&amp;guestbook_id=".$_GET['guestbook_id']."";
	} else {
		$action = "";
		$formaction = FUSION_SELF;
	}
} else {
	$action = "";
	$guestbook_name = "";
	$guestbook_email = "";
	$guestbook_weburl = "";
	$guestbook_webtitle = "";
	$guestbook_message = "";
	$formaction = FUSION_SELF;
}
if (isset($_GET['new_message']) || isset($_GET['action']) && $_GET['action'] == "edit") {
	$gen_captcha = false;
	if ($action != "edit" && !iADMIN) {
		$gen_captcha = true;
	}
	opentable($locale['gb400']);
	echo "<form name='inputform' method='post' action=$formaction>
<table align='center' cellpadding='0' cellspacing='0'>
<tr>
<td align='right' class='tbl'>".$locale['gb401']."<span style='color:#ff0000'>*</span></td>
<td class='tbl'><input type='text' name='guest_name' value='$guestbook_name' class='textbox' style='width:200px'></td>
</tr>
<tr>
<td align='right' class='tbl'>".$locale['gb402']."<span style='color:#ff0000'>*</span></td>
<td class='tbl'><input type='text' name='guest_email' value='$guestbook_email' class='textbox' style='width:200px'></td>
</tr>
<tr>
<td align='right' class='tbl'>".$locale['gb403']."</td>
<td class='tbl'><input type='text' name='guest_weburl' value='$guestbook_weburl' class='textbox' style='width:200px'></td>
</tr>
<tr>
<td align='right' class='tbl'>".$locale['gb404']."</td>
<td class='tbl'><input type='text' name='guest_webtitle' value='$guestbook_webtitle' class='textbox' style='width:200px'></td>
</tr>\n";
	if (isset($_GET['action']) && $_GET['action'] != "edit" && !iADMIN) {
		echo "<tr>\n<td class='tbl'>".$locale['gb407']."<span style='color:#ff0000'>*</span></td>\n<td class='tbl'>";
		
		echo "<img id='captcha' src='".INCLUDES."securimage/securimage_show.php' alt='Captcha' align='left' />\n";
		    echo "<a href='".INCLUDES."securimage/securimage_play.php'><img src='".INCLUDES."securimage/images/audio_icon.gif' alt='' align='top' class='tbl-border' style='margin-bottom:1px' /></a><br />\n";
    echo "<a href='#' onclick=\"document.getElementById('captcha').src = '".INCLUDES."securimage/securimage_show.php?sid=' + Math.random(); return false\"><img src='".INCLUDES."securimage/images/refresh.gif' alt='' align='bottom' class='tbl-border' /></a>\n";
		echo "</td>
</tr>
<tr>
<td class='tbl'>".$locale['gb408']."<span style='color:#ff0000'>*</span></td>
<td class='tbl'><input type='text' name='captcha_code' class='textbox' style='width:100px' /></td>
</tr>\n";
	}
echo "<tr>
<td align='right' valign='top' class='tbl'>".$locale['gb405']."<span style='color:#ff0000'>*</span></td>
<td class='tbl'><textarea name='guest_message' rows='5' class='textbox' style='width:250px'>$guestbook_message</textarea><br><br>
".displaysmileys("guest_message")."
</td>
</tr>
<tr>
<td class='tbl'></td>
<td class='tbl'><input type='submit' name='guest_submit' value='".$locale['gb406']."' class='button'></td>
</tr>
</table>
</form>\n";
	closetable();
	tablebreak();
}
opentable($locale['gb420']);
$result = dbquery("SELECT * FROM ".DB_GUESTBOOK);
$rows = dbrows($result);
$rowstart = isset($_GET['rowstart']) && isnum($_GET['rowstart']) ? $_GET['rowstart'] : 0;

if ($rows != 0) {
	echo "<center>[ <a href='".FUSION_SELF."?new_message=1'>".$locale['gb400']."</a> ]</center>\n";
	tablebreak();
	$i = 1;
	$result = dbquery("SELECT * FROM ".DB_GUESTBOOK." ORDER BY guestbook_datestamp DESC LIMIT $rowstart,10");
	$numrows = dbrows($result);
	while ($data = dbarray($result)) {
		if ($data['guestbook_weburl']) {
			$weburl = str_replace("http://", "", $data['guestbook_weburl']);
			$web = "\n | <a href='http://$weburl' target='_blank'>";
			if ($data['guestbook_webtitle']) { 
				$web .= $data['guestbook_webtitle']."</a>\n";
			} else {
				$web .= $weburl."</a>\n";
			}
		} else {
			$web = "";
		}
		echo "<table align='center' cellpadding='0' cellspacing='1' width='80%' class='tbl-border'>
<tr>
<td class='tbl2'>
<table cellpadding='0' cellspacing='0' width='100%'>
<tr>
<td class='small'><b>".(iADMIN ? hide_email($data['guestbook_email'], $data['guestbook_name']) : $data['guestbook_name'])."</b>$web</td>\n";
		if (iADMIN && $data['guestbook_ip'] != "0.0.0.0") echo "<td align='right' class='small'>IP: ".$data['guestbook_ip']."</td>\n";
		echo "</tr>
</table>
</td>
</tr>
<tr>
<td class='tbl1'>".nl2br(parsesmileys(parseubb($data['guestbook_message'])))."</td>
</tr>
<tr>
<td class='tbl2'>
<table cellpadding='0' cellspacing='0' width='100%'>
<tr>
<td class='small'>
".showdate("longdate", $data['guestbook_datestamp'])."</td>\n";
		if (iADMIN) {
			echo "<td align='right' class='small'><a href='".FUSION_SELF."?action=edit&amp;guestbook_id=".$data['guestbook_id']."'>".$locale['gb421']."</a> |
<a href='".FUSION_SELF."?action=delete&amp;guestbook_id=".$data['guestbook_id']."' onClick='return DeleteMessage();'>".$locale['gb422']."</a></td>\n";
		}
		echo "</tr>
</table>
</td>
</tr>
</table>\n";
		if ($i != $numrows) echo "<br>\n";
		$i++;
	}
} else {
	echo "<center><br>\n".$locale['gb423']."<br><br>\n[ <a href='".FUSION_SELF."?new_message=1'>".$locale['gb400']."</a> ]<br><br>\n</center>\n";
}
closetable();

if ($rows != 0) echo "<div align='center' style='margin-top:5px;'>\n".makepagenav($rowstart,10,$rows,3,FUSION_SELF."?")."\n</div>\n";

echo "<script type='text/javascript' language='JavaScript'>
function DeleteMessage() {
	return confirm(\"".$locale['gb424']."\");
}
</script>\n";

require_once THEMES."templates/footer.php";
?>